Intel® Fortran Compiler
Build applications that can scale for the future with optimized code designed for Intel® Xeon® and compatible processors.
27089 Discussions

PSCAD error when using Intel Fortran compiler in OneAPI tool

Jingwei
Novice
849 Views

Hi Intel Community,

I am a PhD student from Australia, and I have been trying to use Intel Fortran compiler as a part of the latest OneAPI HPC toolkit in PSCAD, which used to work well with IVF version 12 and version 15.

However with the lastest OneAPI tool, I have the following error reported from PSCAD v4.6.3:

      Type4_Dtl_Nov_2018 '"C:\Program Files (x86)\Intel\oneAPI\compiler\2021.1.1\windows\bin\ifortvars.bat"' is not recognized as an internal or external command,
      Type4_Dtl_Nov_2018 'nmake' is not recognized as an internal or external command,
      Type4_Dtl_Nov_2018 Unable to generate a simulation executable for namespace 'Type4_Dtl_Nov_2018'

I just installed OneAPI using default options, so I am not sure if I had to setup any system variables such as PATH. 

I can compile FORTRAN projects in Microsoft Visual Studio 2019 with OneAPI toolkit without problem. 

Could anyone help with this topic, as I noticed the previous IVF v12 and v15 might not be available any more.

Kind regards,

Jingwei

0 Kudos
2 Replies
mecej4
Black Belt
804 Views

The layout of the Intel Fortran directories and files is different under OneAPI than it used to be with Parallel Studio.

The batch file that sets up the  OneAPI compiler environment is C:\Program Files (x86)\Intel\oneAPI\setvars.bat for an installation in the default location. If you chose a different location during location, the file setvars.bat is to be found in the ...\OneAPI directory. Any third party software such as PSCAD will need to have its startup batch files to be edited to change ifortvars.bat to setvars.bat and the path to the batch file also will need to be updated in the third party startup script to C:\Program Files (x86)\Intel\oneAPI\ (for the default installation directory).

Jingwei
Novice
661 Views

Hi Mecej4

Thanks so much I have managed resolved my issue with PSCAD and now OneAPI is working perfectly with my PSCAD.

For anyone that has the same issue, MHI (PSCAD developer) actually has a tool called FortranMedic to modify PSCAD file automatically (exactly as Mecej4 described), so PSCAD can detect this new version of Fortran compiler. I am not sure if it is appropriate to reference other software developer's resource here, but it is fairly easy to find this tool. 

Kind regards,

Jingwei

Reply